Create a payment
POST
/api/v6/external/payinAuthorization
apikey apikey<token>
Your merchant API key, provided by your admin.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v6/external/payin" \ -H "apikey: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "amount": 50000, "callbackUrl": "https://example.com/callback", "country": "PK", "currency": "PKR", "email": "name@email.com", "ip": "192.0.2.1", "method": "WALLETS", "orderId": "abc123456", "returnUrl": "https://example.com/return", "traffic": "TRUSTED" }'{ "id": "string", "message": "string", "paymentUrl": "string", "status": "string", "orderId": "string"}